
Redmine - Feature #1509

Show new issue notes in the activity list

2008-06-20 18:26 - Brian Terlson

Status: Closed Start date: 2008-06-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

When a user comments on an issue without changing any of its properties, nothing shows up on the activity timeline.  If you're not

subscribed to the issue, the only way I've found to keep tabs on this is to sort the issues by when it was updated.  I think new notes

on an issue should show up in the activity timeline even if the issue's properties haven't changed.  I could probably write a patch, but

it looks like it might be some work so I didn't want to go through the effort unless I knew it would be a worthwhile endeavor :)  Plus, it

could potentially be a new category of activity rather than being the same as Messages.

Related issues:

Related to Redmine - Feature #1030: Adding comments is not an "activity"? Closed 2008-04-10

Associated revisions

Revision 1567 - 2008-06-21 14:32 - Jean-Philippe Lang

Display issue notes in the activity view (#1509).

History

#1 - 2008-06-20 20:16 - Stephanie Collett

+1

I am the administrator for Redmine in my organization. We just started a transition to Redmine a couple months ago. This is the number one request I

am hearing from a group heavily using the software. I think it would be a great feature!

#2 - 2008-06-20 20:50 - Paul Rivier

It looks like a duplicate of #1373.

If so, please link and close.

#3 - 2008-06-20 21:19 - Brian Terlson

Indeed it is a duplicate.  Sorry about that - I searched both in Redmine and with google to check for duplicates, but nothing turned up!

I guess that means +2 ;)

#4 - 2008-06-20 21:48 - Brian Terlson

- File show_full_activity.diff added

The patch is actually pretty damn simple.  Currently there is a check to make sure that the issue updates only show status updates.  If you want to

show every issue update, not just when the status changes, apply this diff which simply amounts to removing a condition in the issue query.

#5 - 2008-06-21 14:27 - Jean-Philippe Lang

- Category set to Issues

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Issue notes in the activity view added in r1567.

#6 - 2014-11-03 14:46 - Go MAEDA

- Related to Feature #1030: Adding comments is not an "activity"? added
https://www.redmine.org/issues/1373
https://www.redmine.org/projects/redmine/repository/svn/revisions/1567


Files

show_full_activity.diff 1.01 KB 2008-06-20 Brian Terlson
